#!/bin/sh
cd data
export LD_LIBRARY_PATH=.:$LD_LIBRARY_PATH
if [ -f "/usr/lib/jvm/java-6-sun/bin/java" ]; then
	/usr/lib/jvm/java-6-sun/bin/java -jar ./launcher.jar nohup /usr/lib/jvm/java-6-sun/bin/java -Xms64m -Xmx256m -Djava.library.path=lib -jar ./data.jar
elif [ -n "$JAVA_HOME" ]; then
	$JAVA_HOME/bin/java -jar ./launcher.jar nohup $JAVA_HOME/bin/java -Xms64m -Xmx256m -Djava.library.path=lib -jar ./data.jar
else
	java -jar ./launcher.jar nohup java -Xms64m -Xmx256m -Djava.library.path=lib -jar ./data.jar
fi
